#!/bin/sh
echo "Downloading Files..."
curl -o ~/apfsbootpref.zip "http://dosdude1.com/mojave/apfsbootpref.zip"
echo "Extracting and Copying Files..."
unzip -o ~/apfsbootpref.zip -d ~
if [ ! -d '/usr/local/sbin' ]; then
mkdir '/usr/local/sbin'
fi

sudo cp -R ~/'apfsbootpref/APFS Boot Selector.prefPane' '/Library/PreferencePanes/'
sudo cp -R ~/'apfsbootpref/apfshelperd' '/usr/local/sbin/'
sudo cp -R ~/'apfsbootpref/com.dosdude1.apfshelperd.plist' '/Library/LaunchAgents/'
sudo chmod 755 '/Library/LaunchAgents/com.dosdude1.apfshelperd.plist'
sudo chown 0:0 '/Library/LaunchAgents/com.dosdude1.apfshelperd.plist'
rm -R ~/'apfsbootpref'
rm ~/apfsbootpref.zip
rm -R ~/__MACOSX
launchctl load '/Library/LaunchAgents/com.dosdude1.apfshelperd.plist'
echo "\nOperation Complete!\nThe APFS Boot Selector prefpane is now installed, and can be accessed from System Preferences.\n\n"
